# Image to Image

## API Overview <a href="#api-overview" id="api-overview"></a>

To simplify the integration of different **image generation models、image editing models**, Infron AI provides a unified image API.

## **API Specification**

### image **editing** models

{% tabs %}
{% tab title="Curl" %}

<pre class="language-sh"><code class="lang-sh">curl https://image.onerouter.pro/v1/images/edits \
<strong>    -H "Content-Type: application/json" \
</strong>    -H "Authorization: &#x3C;API_KEY>" \
    --data-raw '{
    "model": "dreamomni2-image-to-image",
    "prompt": "Replace the first image have the same image style as the second image.",
    "image_urls": [
        "https://resource.trustai.sg/image/generated%2Fonerouter_a146ee8a-1fe2-43ce-803a-fb1e7f3f6949.png",
        "https://resource.onerouter.pro/image/generated%2Fonerouter_fe4771ae-d67c-41bb-a366-b07f1411ae06.png"
    ],
    "n": 1,
    "output_format": "url"
}'
</code></pre>

{% endtab %}
{% endtabs %}

* `https://image.onerouter.pro/v1/images/edits` is the base URL
* `<API_KEY>` is your API Key generated in [API page](https://app.onerouter.pro/apiKeys).
* `model` is the model name, such as `dreamomni2-image-to-image`, available model list can be access in [Model page](https://app.onerouter.pro/models).
* `prompt`  is the prompt.
* `image_urls` is the list of URLs of input images for editing.
* `n`  is the number of images to generate, default value is `1`.
* `output_format` indicate the output format, default value is `url`.
  * `b64_json`
  * `url`&#x20;

**Example response**

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "url": "https://resource.trustai.sg/image/generated%2Fonerouter_a146ee8a-1fe2-43ce-803a-fb1e7f3f6949.png",
            "b64_json": "",
            "revised_prompt": ""
        }
    ],
    "created": 1760177063
}
```

{% endtab %}

{% tab title="Error" %}

```json
{
    "error": {
        "message": "error msg.",
        "type": "error type (such as content_policy_violation)",
        "param": "",
        "code": 422
    }
}
```

{% endtab %}
{% endtabs %}
